## PDS Set Event Report request PDS Set Event Report request |

## Functions

QmiMessagePdsSetEventReportInput * | qmi_message_pds_set_event_report_input_new ()
QmiMessagePdsSetEventReportInput * | qmi_message_pds_set_event_report_input_ref ()
void | qmi_message_pds_set_event_report_input_unref ()
gboolean | qmi_message_pds_set_event_report_input_get_extended_external_xtra_data_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_extended_external_xtra_data_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_nmea_debug_strings_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_nmea_debug_strings_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_heading_uncertainty_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_heading_uncertainty_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_time_source_information_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_time_source_information_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_sensor_data_usage_indicator_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_sensor_data_usage_indicator_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_position_reliability_indicator_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_position_reliability_indicator_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_time_sync_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_time_sync_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_gyro_data_streaming_ready_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_gyro_data_streaming_ready_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_accelerometer_data_streaming_ready_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_accelerometer_data_streaming_ready_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_pds_comm_event_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_pds_comm_event_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_umts_cp_network_initiated_prompt_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_umts_cp_network_initiated_prompt_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_supl_network_initiated_prompt_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_supl_network_initiated_prompt_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_vx_network_initiated_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_vx_network_initiated_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_satellite_information_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_satellite_information_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_external_wifi_position_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_external_wifi_position_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_external_time_injection_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_external_time_injection_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_external_xtra_data_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_external_xtra_data_request_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_parsed_position_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_parsed_position_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_extended_nmea_position_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_extended_nmea_position_reporting ()
gboolean | qmi_message_pds_set_event_report_input_get_nmea_position_reporting ()
gboolean | qmi_message_pds_set_event_report_input_set_nmea_position_reporting ()
QmiMessagePdsSetEventReportOutput * | qmi_message_pds_set_event_report_output_ref ()
void | qmi_message_pds_set_event_report_output_unref ()
gboolean | qmi_message_pds_set_event_report_output_get_result ()
void | qmi_client_pds_set_event_report ()
QmiMessagePdsSetEventReportOutput * | qmi_client_pds_set_event_report_finish ()

## Types and Values

| QmiMessagePdsSetEventReportInput
| QmiMessagePdsSetEventReportOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdsSetEventReportInput
        ╰── QmiMessagePdsSetEventReportOutput

## Description

## Functions

### qmi_message_pds_set_event_report_input_new ()

    QmiMessagePdsSetEventReportInput *
    qmi_message_pds_set_event_report_input_new
                                   (void);

Allocates a new QmiMessagePdsSetEventReportInput.

#### Returns

the newly created QmiMessagePdsSetEventReportInput. The returned value should be freed with `qmi_message_pds_set_event_report_input_unref()`.

Since: 1.0

### qmi_message_pds_set_event_report_input_ref ()

    QmiMessagePdsSetEventReportInput *
    qmi_message_pds_set_event_report_input_ref
                                   (QmiMessagePdsSetEventReportInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_pds_set_event_report_input_unref ()

    void
    qmi_message_pds_set_event_report_input_unref
                                   (QmiMessagePdsSetEventReportInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |

Since: 1.0

### qmi_message_pds_set_event_report_input_get_extended_external_xtra_data_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_extended_external_xtra_data_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_extended_external_xtra_data_request_reporting,
                                    GError **error);

Get the 'Extended External XTRA Data Request Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_extended_external_xtra_data_request_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_extended_external_xtra_data_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_extended_external_xtra_data_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_extended_external_xtra_data_request_reporting,
                                    GError **error);

Set the 'Extended External XTRA Data Request Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_extended_external_xtra_data_request_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_nmea_debug_strings_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_nmea_debug_strings_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_nmea_debug_strings_reporting,
                                    GError **error);

Get the 'NMEA Debug Strings Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_nmea_debug_strings_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_nmea_debug_strings_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_nmea_debug_strings_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_nmea_debug_strings_reporting,
                                    GError **error);

Set the 'NMEA Debug Strings Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_nmea_debug_strings_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_heading_uncertainty_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_heading_uncertainty_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_heading_uncertainty_reporting,
                                    GError **error);

Get the 'Heading Uncertainty Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_heading_uncertainty_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_heading_uncertainty_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_heading_uncertainty_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_heading_uncertainty_reporting,
                                    GError **error);

Set the 'Heading Uncertainty Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_heading_uncertainty_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_time_source_information_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_time_source_information_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_time_source_information_reporting,
                                    GError **error);

Get the 'Time Source Information Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_time_source_information_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_time_source_information_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_time_source_information_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_time_source_information_reporting,
                                    GError **error);

Set the 'Time Source Information Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_time_source_information_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_sensor_data_usage_indicator_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_sensor_data_usage_indicator_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_sensor_data_usage_indicator_reporting,
                                    GError **error);

Get the 'Sensor Data Usage Indicator Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_sensor_data_usage_indicator_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_sensor_data_usage_indicator_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_sensor_data_usage_indicator_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_sensor_data_usage_indicator_reporting,
                                    GError **error);

Set the 'Sensor Data Usage Indicator Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_sensor_data_usage_indicator_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_position_reliability_indicator_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_position_reliability_indicator_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_position_reliability_indicator_reporting,
                                    GError **error);

Get the 'Position Reliability Indicator Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_position_reliability_indicator_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_position_reliability_indicator_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_position_reliability_indicator_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_position_reliability_indicator_reporting,
                                    GError **error);

Set the 'Position Reliability Indicator Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_position_reliability_indicator_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_time_sync_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_time_sync_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_time_sync_request_reporting,
                                    GError **error);

Get the 'Time Sync Request Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_time_sync_request_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_time_sync_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_time_sync_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_time_sync_request_reporting,
                                    GError **error);

Set the 'Time Sync Request Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_time_sync_request_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_gyro_data_streaming_ready_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_gyro_data_streaming_ready_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_gyro_data_streaming_ready_reporting,
                                    GError **error);

Get the 'Gyro Data Streaming Ready Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_gyro_data_streaming_ready_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_gyro_data_streaming_ready_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_gyro_data_streaming_ready_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_gyro_data_streaming_ready_reporting,
                                    GError **error);

Set the 'Gyro Data Streaming Ready Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_gyro_data_streaming_ready_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_accelerometer_data_streaming_ready_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_accelerometer_data_streaming_ready_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_accelerometer_data_streaming_ready_reporting,
                                    GError **error);

Get the 'Accelerometer Data Streaming Ready Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_accelerometer_data_streaming_ready_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_accelerometer_data_streaming_ready_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_accelerometer_data_streaming_ready_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_accelerometer_data_streaming_ready_reporting,
                                    GError **error);

Set the 'Accelerometer Data Streaming Ready Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_accelerometer_data_streaming_ready_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_pds_comm_event_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_pds_comm_event_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_pds_comm_event_reporting,
                                    GError **error);

Get the 'PDS Comm Event Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_pds_comm_event_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_pds_comm_event_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_pds_comm_event_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_pds_comm_event_reporting,
                                    GError **error);

Set the 'PDS Comm Event Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_pds_comm_event_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_umts_cp_network_initiated_prompt_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_umts_cp_network_initiated_prompt_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_umts_cp_network_initiated_prompt_reporting,
                                    GError **error);

Get the 'UMTS CP Network Initiated Prompt Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_umts_cp_network_initiated_prompt_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_umts_cp_network_initiated_prompt_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_umts_cp_network_initiated_prompt_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_umts_cp_network_initiated_prompt_reporting,
                                    GError **error);

Set the 'UMTS CP Network Initiated Prompt Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_umts_cp_network_initiated_prompt_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_supl_network_initiated_prompt_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_supl_network_initiated_prompt_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_supl_network_initiated_prompt_reporting,
                                    GError **error);

Get the 'SUPL Network Initiated Prompt Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_supl_network_initiated_prompt_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_supl_network_initiated_prompt_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_supl_network_initiated_prompt_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_supl_network_initiated_prompt_reporting,
                                    GError **error);

Set the 'SUPL Network Initiated Prompt Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_supl_network_initiated_prompt_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_vx_network_initiated_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_vx_network_initiated_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_vx_network_initiated_request_reporting,
                                    GError **error);

Get the 'VX Network Initiated Request Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_vx_network_initiated_request_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_vx_network_initiated_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_vx_network_initiated_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_vx_network_initiated_request_reporting,
                                    GError **error);

Set the 'VX Network Initiated Request Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_vx_network_initiated_request_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_satellite_information_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_satellite_information_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_satellite_information_reporting,
                                    GError **error);

Get the 'Satellite Information Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_satellite_information_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_satellite_information_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_satellite_information_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_satellite_information_reporting,
                                    GError **error);

Set the 'Satellite Information Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_satellite_information_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_external_wifi_position_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_external_wifi_position_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_external_wifi_position_request_reporting,
                                    GError **error);

Get the 'External WIFI Position Request Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_external_wifi_position_request_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_external_wifi_position_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_external_wifi_position_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_external_wifi_position_request_reporting,
                                    GError **error);

Set the 'External WIFI Position Request Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_external_wifi_position_request_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_external_time_injection_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_external_time_injection_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_external_time_injection_request_reporting,
                                    GError **error);

Get the 'External Time Injection Request Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_external_time_injection_request_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_external_time_injection_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_external_time_injection_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_external_time_injection_request_reporting,
                                    GError **error);

Set the 'External Time Injection Request Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_external_time_injection_request_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_external_xtra_data_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_external_xtra_data_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_external_xtra_data_request_reporting,
                                    GError **error);

Get the 'External XTRA Data Request Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_external_xtra_data_request_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_external_xtra_data_request_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_external_xtra_data_request_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_external_xtra_data_request_reporting,
                                    GError **error);

Set the 'External XTRA Data Request Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_external_xtra_data_request_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_parsed_position_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_parsed_position_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_parsed_position_reporting,
                                    GError **error);

Get the 'Parsed Position Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_parsed_position_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_parsed_position_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_parsed_position_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_parsed_position_reporting,
                                    GError **error);

Set the 'Parsed Position Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_parsed_position_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_extended_nmea_position_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_extended_nmea_position_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_extended_nmea_position_reporting,
                                    GError **error);

Get the 'Extended NMEA Position Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_extended_nmea_position_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_extended_nmea_position_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_extended_nmea_position_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_extended_nmea_position_reporting,
                                    GError **error);

Set the 'Extended NMEA Position Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_extended_nmea_position_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_get_nmea_position_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_get_nmea_position_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean *value_nmea_position_reporting,
                                    GError **error);

Get the 'NMEA Position Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_nmea_position_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_input_set_nmea_position_reporting ()

    gboolean
    qmi_message_pds_set_event_report_input_set_nmea_position_reporting
                                   (QmiMessagePdsSetEventReportInput *self,
                                    gboolean value_nmea_position_reporting,
                                    GError **error);

Set the 'NMEA Position Reporting' field in the message.

#### Parameters

self | a QmiMessagePdsSetEventReportInput. |
value_nmea_position_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_event_report_output_ref ()

    QmiMessagePdsSetEventReportOutput *
    qmi_message_pds_set_event_report_output_ref
                                   (QmiMessagePdsSetEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdsSetEventReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_pds_set_event_report_output_unref ()

    void
    qmi_message_pds_set_event_report_output_unref
                                   (QmiMessagePdsSetEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdsSetEventReportOutput. |

Since: 1.0

### qmi_message_pds_set_event_report_output_get_result ()

    gboolean
    qmi_message_pds_set_event_report_output_get_result
                                   (QmiMessagePdsSetEventReportOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdsSetEventReportOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_pds_set_event_report ()

    void
    qmi_client_pds_set_event_report (QmiClientPds *self,
                                     QmiMessagePdsSetEventReportInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Set Event Report request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pds_set_event_report_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPds. |
input | a QmiMessagePdsSetEventReportInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_pds_set_event_report_finish ()

    QmiMessagePdsSetEventReportOutput *
    qmi_client_pds_set_event_report_finish
                                   (QmiClientPds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pds_set_event_report()`.

#### Parameters

self | a QmiClientPds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pds_set_event_report()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdsSetEventReportOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pds_set_event_report_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessagePdsSetEventReportInput

    typedef struct _QmiMessagePdsSetEventReportInput QmiMessagePdsSetEventReportInput;

The QmiMessagePdsSetEventReportInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessagePdsSetEventReportOutput

    typedef struct _QmiMessagePdsSetEventReportOutput QmiMessagePdsSetEventReportOutput;

The QmiMessagePdsSetEventReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0